---
description: Démarrage avec djLint pour le linting et le formatage de modèles HTML. Profitez de l'interface client facile et des nombreuses options de formatage.
title: Commencer
keywords: template linter, template formatter, djLint, HTML, templates, formatter, linter, usage
---

# {{ "getting_started" | i18n }}

## Installation de [Pypi](https://pypi.org/project/djlint/)

djLint est construit avec [Python](https://python.org), il peut être installé en exécutant simplement:

```bash
pip install djlint
```

_Ou avec l'installation expérimentale npm - Note, ceci requiert que python et pip soient dans votre chemin système._

```bash
npm i djlint
```

## Utilisation de l'interface CLI

djLint est une application en ligne de commande. Voir `configuration` pour une configuration avancée.

{% raw %}

```bash
Usage: djlint [OPTIONS] SRC ...

  djLint · lint and reformat HTML templates.

Options:
  --version                       Show the version and exit.
  -e, --extension TEXT            File extension to check [default: html]
  -i, --ignore TEXT               Codes to ignore. ex: "H014,H017"
  --reformat                      Reformat the file(s).
  --check                         Check formatting on the file(s).
  --indent INTEGER                Indent spacing. [default: 4]
  --quiet                         Do not print diff when reformatting.
  --profile TEXT                  Enable defaults by template language. ops:
                                  django, jinja, nunjucks, handlebars, golang,
                                  angular, html [default: html]
  --require-pragma                Only format or lint files that starts with a
                                  comment with the text 'djlint:on'
  --lint                          Lint for common issues. [default option]
  --use-gitignore                 Use .gitignore file to extend excludes.
  --warn                          Return errors as warnings.
  --preserve-leading-space        Attempt to preserve leading space on text.
  --preserve-blank-lines          Attempt to preserve blank lines.
  --format-css                    Also format contents of <style> tags.
  --format-js                     Also format contents of <script> tags.
  --configuration PATH            Path to global configuration file in
                                  .djlintrc format
  --statistics                    Count the number of occurrences of each
                                  error/warning code.
  --include TEXT                  Codes to include. ex: "H014,H017"
  --ignore-case                   Do not fix case on known html tags.
  --ignore-blocks TEXT            Comma list of template blocks to not indent.
  --blank-line-after-tag TEXT     Add an additional blank line after {% <tag>
                                  ... %} tag groups.
  --blank-line-before-tag TEXT    Add an additional blank line before {% <tag>
                                  ... %} tag groups.
  --custom-blocks TEXT            Indent custom template blocks. For example
                                  {% toc %}...{% endtoc %}
  --custom-html TEXT              Indent custom HTML tags. For example <mjml>
  --exclude TEXT                  Override the default exclude paths.
  --extend-exclude TEXT           Add additional paths to the default exclude.
  --linter-output-format TEXT     Customize order of linter output message.
  --max-line-length INTEGER       Max line length. [default: 120]
  --max-attribute-length INTEGER  Max attribute length. [default: 70]
  --format-attribute-template-tags
                                  Attempt to format template syntax inside of
                                  tag attributes.
  --per-file-ignores <TEXT TEXT>...
                                  Ignore linter rules on a per-file basis.
  --indent-css INTEGER            Set CSS indent level.
  --indent-js INTEGER             Set JS indent level.
  --close-void-tags               Add closing mark on known void tags. Ex:
                                  <img> becomse <img />
  --no-line-after-yaml            Do not add a blank line after yaml front
                                  matter.
  -h, --help                      Show this message and exit.
```

{% endraw %}

{% admonition
   "note",
   "Note",
   "Si la commande `djlint` n'est pas trouvée, assurez-vous que Python est [dans votre path].(https://www.geeksforgeeks.org/how-to-add-python-to-windows-path/)."
%}

## Utilisation de Path vs Stdin

djLint fonctionne avec un path ou stdin.

Courir avec un path -

```bash
djlint /path/to/templates --lint
```

Ou un fichier spécifique -

```bash
djlint /path/to/this.mustache --lint
```

Ou avec stdin -

```bash
echo "<div></div>" | djlint -
```

Stdin peut également être utilisé pour reformater le code. La sortie sera uniquement le code formaté sans messages.

```bash
echo "<div></div>" | djlint - --reformat
```

Sortie -

```html
<div></div>
```
